### Method

# Xdp Portal set_wallpaper

#### Declaration [src]

    void
    xdp_portal_set_wallpaper (
      XdpPortal* portal,
      XdpParent* parent,
      const char* uri,
      XdpWallpaperFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Sets a desktop background image, given by a uri.

#### Parameters

`parent`

  Type: `XdpParent`

  Parent window information.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`uri`

  Type: `const char*`

  The URI to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `XdpWallpaperFlags`

  Options for this call.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.